%define date    20161002

Name:           kamerka
Version:        0.12
Release:        %mkrel 3.%{date}.3
Summary:        Take photos using your webcam and shiny animated QML interface
Group:          Graphics/Utilities
License:        GPLv2+
Url:            http://dos1.github.io/kamerka/
#Source0:        https://github.com/dos1/kamerka/archive/%{version}/%{name}-%{version}.tar.gz
# From the current master branch, ported to KF5: https://github.com/dos1/kamerka
Source0:        %{name}-%{version}+%{date}.tar.xz

BuildRequires:  pkgconfig(Qt5Gui)
BuildRequires:  pkgconfig(Qt5Qml)
BuildRequires:  pkgconfig(Qt5Quick)
BuildRequires:  pkgconfig(Qt5QuickWidgets)
BuildRequires:  pkgconfig(Qt5Network)
BuildRequires:  pkgconfig(Qt5Script)
BuildRequires:  pkgconfig(Qt5Widgets)

BuildRequires:  kf5-macros
BuildRequires:  cmake
BuildRequires:  cmake(KF5Config)
BuildRequires:  cmake(KF5CoreAddons)
BuildRequires:  cmake(KF5Declarative)
BuildRequires:  cmake(KF5I18n)
BuildRequires:  cmake(KF5KDELibs4Support)
BuildRequires:  cmake(KF5KIO)
BuildRequires:  cmake(KF5Notifications)
BuildRequires:  cmake(KF5WidgetsAddons)

BuildRequires:  gettext
BuildRequires:  pkgconfig(libv4l2)
BuildRequires:  pkgconfig(libv4lconvert)
BuildRequires:  pkgconfig(qimageblitz5)

%description
Kamerka is a Qt5 app that uses KF5 libraries. It uses Video4Linux to get
image from a webcam and is able to save photos. The interface is based
on QML and uses its possibilities to show an easy-to-use animated UI.

%prep
%autosetup -n %{name}-%{version}+%{date}

%build
%cmake_kf5
%make_build

%install
%make_install -C build

%find_lang %{name}

%files -f %{name}.lang
%doc AUTHORS COPYING README
%{_kf5_applicationsdir}/%{name}.desktop
%{_kf5_bindir}/%{name}
%{_kf5_datadir}/%{name}/
%{_kf5_datadir}/config.kcfg/%{name}.kcfg
%{_kf5_datadir}/pixmaps/%{name}.png
%{_kf5_mandir}/man1/%{name}.1*
%{_kf5_knotificationsdir}/%{name}.notifyrc


%changelog
* Fri Mar 10 2017 akien <akien> 0.12-3.20161002.3.mga6
+ Revision: 1091609
- Rebuild for v4l-utils 1.12.3

* Sat Jan 21 2017 akien <akien> 0.12-3.20161002.2.mga6
+ Revision: 1082765
- Rebuild against newly packaged qimageblitz5 (mga#20129)

* Mon Jan 16 2017 akien <akien> 0.12-3.20161002.1.mga6
+ Revision: 1081955
- KF5-based version based on current master branch

* Mon Feb 15 2016 umeabot <umeabot> 0.12-2.mga6
+ Revision: 960800
- Mageia 6 Mass Rebuild

* Sun Jun 28 2015 akien <akien> 0.12-1.mga6
+ Revision: 847211
- Version 0.12

* Sat Jan 10 2015 akien <akien> 0.10-1.mga5
+ Revision: 809670
- imported package kamerka (mga#6214)

